/*-----------------------------------------------------------
 *                   COPYRIGHT (C) 2009.
 *          GN Otometrics. All rights reserved.
 *-----------------------------------------------------------
 *            P R O P R I E T A R Y   R I G H T S
 * This document must not be used, nor copied in any form or
 * handed over to third party, without prior written
 * permission from GN Otometrics.
 *-----------------------------------------------------------
 *
 * This source file is part of the 1081 Aurical Aud project.
 *
 * P4 Info: (P4-filetype must be "ktext" for these to work!)
 * Last edit by: $Author: pohansen $
 * Date:         $DateTime: 2010/12/22 17:55:30 $
 * Filename:     $File: //depot/1081/fw/head/dsp/main/src/main_page.h $
 * Revision:     $Revision: #10 $
 *
 * File Info:
 * Original author: PEH
 * Creation date: 2009-03-02
 *
 * Doxygen Info: *//*!
 * @file
 * @brief Doxygen main page (no "C" code included)
 *
 * *//*
 *-----------------------------------------------------------*/


/*! @mainpage
 *
 *
 * @htmlonly
 *
 *
 * <a href="../1066_platfrom.doc"><img src="../words_small_icon.png" alt="Words file">  Platform overview (not finished) <b>PEH</b> </a>
 * <p>
 * <hr>
 * <center><h2><b>DSP code description</b></h2></center>
 * <a href="../../../../doc/command_interface/PC-T2_Command_Interface.docx"><img src="../words_small_icon.png" alt="Words file">&nbsp;&nbsp;<b>Interface manual</b> : Command Interface</a><br>
 * <a href="../1066_command_flow.doc"><img src="../words_small_icon.png" alt="Words file">&nbsp;&nbsp;(Not moved to 1081 yet)&nbsp;&nbsp;<b>Command flow </b>(not finished) <b>TOMWAL</b></a><br>
 * <a href="../T2_signal_path.pdf"><img src="../PDF_small_icon.png" alt="pdf file">&nbsp;&nbsp;&nbsp;&nbsp;<b>sound flow </b></a><br>
 * <a href="../1066_level_calc.doc"><img src="../words_small_icon.png" alt="Words file">&nbsp;&nbsp;(Not moved to 1081 yet)&nbsp;&nbsp;<b>Level calculation </b>(not finished) <b>MEGHOLM</b></a><br>
 * <a href="../1066_tools.doc"><img src="../words_small_icon.png" alt="Words file">&nbsp;&nbsp;(Not moved to 1081 yet)&nbsp;&nbsp;<b>tools </b>(not finished) <b>TOMVAL / PEH / MEGHOLM</b></a><br>
 *
 * <a href="../../../../doc/hw/8-14-9547_02.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;&nbsp;&nbsp;<b>Schematic</b> 8-14-9547_02.pdf </a><br>
 * <a href="../../../../doc/hw/8-14-9544_02_top_view.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;&nbsp;&nbsp;<b>Placment</b> 8-14-9544_02_top_view.pdf </a><br>
 * <a href="../../../../doc/hw/8-14-9544_02_bottom_view.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;&nbsp;&nbsp;<b>Placment</b> 8-14-9544_02_bottom_view.pdf </a><br>
 * <a href="../../../../doc/hw/8-14-9547_PRE_01_U1.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;&nbsp;&nbsp;<b>Schematic (old)</b> 8-14-9547_PRE_01_U1.pdf </a><br>
 * <a href="../../../../doc/hw/8-14-9544_00.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;&nbsp;&nbsp;<b>Placment (old)</b> 8-14-9544_00.pdf </a><br>
 *
 * <a href="../../../../doc/hw/dsp/DSP56371UM.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;&nbsp;&nbsp;<b>DSP 56371&nbsp;</b>&nbsp;&nbsp;User Manual</a><br>
 *
 * <br>
 * <a href="http://gnintranet.com/sites/audiometer/Generel/Audiometry standards/AudDSP_107.doc"><img src="../words_small_icon.png" alt="Words file">&nbsp;&nbsp;(Not moved to 1081 yet)&nbsp;&nbsp;Signals and audiological tests: AudDSP_107.doc</a>
 * <ul>
 *   <ol> <b>Context:</b>
 *     <li>  Introduction </li>
 *     <li>  System overview </li>
 *     <li>  Tone generators </li>
 *     <li>  Noise signal generators  </li>
 *     <li>  External signal sources  </li>
 *     <li>  Free-field equivalent calibration  </li>
 *     <li>  Attenuators  </li>
 *     <li>  Signal control </li>
 *     <li>  Audiological test procedures </li>
 *     <li>  Monitor and talk-over/talk-back functions </li>
 *     <li>  Equalizing </li>
 *     <li>  Calibration </li>
 *     <li>  Signal level indicator </li>
 *   </ol>
 *   <ol type="a">
 *     <li>  Routing options in tone audiometry </li>
 *     <li>  Routing options in speech audiometry </li>
 *     <li>  Routing options for the SISI procedure </li>
 *     <li>  Narrow band filter coefficients </li>
 *   </ol>
 * </ul><p>

 * <p>
 * <hr>
 * <center><h2><b>Code generation</b></h2></center>
 * <a href="../1066_code_generation.doc"><img src="../words_small_icon.png" alt="Words file">&nbsp;&nbsp;(Not moved to 1081 yet)&nbsp;&nbsp;<b>Code generation</b> (not finished) <b>TOMVAL</b> </a><br>
 * <a href="../1066_3th_tools.doc"><img src="../words_small_icon.png" alt="Words file">&nbsp;&nbsp;(Not moved to 1081 yet)&nbsp;&nbsp;<b>3th part tools</b> (not finished) <b>TOMVAL / PEH / MEGHOLM</b> </a><br>
 *
 * <p>
 * <hr>
 * <p>
 * Some functions are explained as "Modules". Those "Modules" can be found at the left.
 * <p>
 *
 * @endhtmlonly
 *
 * -	"Hardware test commands" : Interface commands starting with a "t" used for testing the hardware in production and by the developer
 * -	"dual_attenuator" : Smooth change over from one step attenuator to another
 * -	"envelope" : Smooth level change functions and structures. see also envelope.c
 *
 * @htmlonly
 * <p>
 * <hr>
 * <p>
 *
 * <a href="../Todo_list.doc"><img src="../words_small_icon.png" alt="Words file">&nbsp;&nbsp;(Not moved to 1081 yet)&nbsp;&nbsp;Old Todo_list.doc</a><br>
 *
 * <p>
 * <b>Internal documentation:</b>
 * <p>
 * <a href="../BB_signal_path_implementation.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;(Not moved to 1081 yet)&nbsp;&nbsp;<b>BB signal path</b> implementation              </a><br>
 * <a href="../Evaluate_stim_modul_diagram.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;(Not moved to 1081 yet)&nbsp;&nbsp;<b>Moduls:</b> Setup evaluation and stimulus control</a><br>
 * <a href="../visio_1.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;(Not moved to 1081 yet)&nbsp;&nbsp;BB total visio</a><br>
 * <a href="../Select_generator.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;(Not moved to 1081 yet)&nbsp;&nbsp;<b>Allocate_Gen</b></a> @endhtmlonly  @ref  Allocate_Gen  @htmlonly<br>
 * <p>
 * * <hr>
 *
 * @endhtmlonly
 *
 * Some of the documentations are placed on seperate pages:
 * - @subpage Data_sheets "Data sheets"
 * - @subpage file_status "(Not work in doxygen 1.6.1 and doxygen 1.6.2) Doc project / File doc. status 1066"
 *
 * \n
 * This code is placed in main_page.h
 *
 * @htmlonly
 * <a href="http://www.doxygen.nl/commands.html">  doxygen commands  </a><br>
 * <a href="http://www.digilife.be/quickreferences/QRC/Doxygen%20Quick%20Reference.pdf">doxygen quick referance </a>
 * @endhtmlonly
 */

/* ============================================================================================================= */
/*! @page  Data_sheets "Data sheets"
 *
 *
 * @htmlonly
 *
 * <center><b>Component data sheets:</b></center>
 *  <a href="../../../../doc/hw/74HC_HCT4053.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Data sheet</b>&nbsp;&nbsp;Philips&nbsp;&nbsp;74HCT4053&nbsp;&nbsp;74HC_HCT4053.pdf</a><br>
 *  <a href="../../../../doc/hw/dsp/DSP56300FM.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Manual</b>&nbsp;&nbsp;DSP56300 Family Manual&nbsp;&nbsp;DSP56300FM.pdf</a><br>
 *  <a href="../../../../doc/hw/dsp/DSP56371E.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Data sheet</b>&nbsp;&nbsp;Chip Errata&nbsp;&nbsp;DSP56371E Digital Signal Processor&nbsp;&nbsp;DSP56371E.pdf</a><br>
 *  <a href="../../../../doc/hw/dsp/AN1848.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Application Note</b>&nbsp;&nbsp;ENHANCED SERIAL AUDIO INTERFACE (ESAI)&nbsp;&nbsp;AN1848.pdf</a><br>
 *  <br>
 *  <a href="../../../../doc/hw/eeprom/atmel-eeprom.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Data sheet</b>&nbsp;&nbsp;AT24C01A .. AT24C16A atmel-eeprom              </a><br>
 *  <a href="../../../../doc/hw/eeprom/st-eeprom.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Data sheet</b>&nbsp;&nbsp;M24128 M24C64 M24C32&nbsp;&nbsp;st-eeprom.pdf</a><br>
 *  <a href="../../../../doc/hw/eeprom/2001OCT12_MEM_MPC_AN2210.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Application Note</b>&nbsp;&nbsp;M37515: INTERFACING WITH EEPROM USING I2C&nbsp;&nbsp;2001OCT12_MEM_MPC_AN2210.pdf </a><br>
 *  <a href="../../../../doc/hw/eeprom/st-eeprom-an1471.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Application Note</b>&nbsp;&nbsp;AN1471 What Happens to the M24xxx I2C EEPROM If the I2C Bus Communication is Stopped?&nbsp;&nbsp;st-eeprom-an1471.pdf</a><br>
 *  <a href="../../../../doc/hw/eeprom/st-eeprom-an2014.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Application Note</b>&nbsp;&nbsp;AN2014 How a designer can make the most of STMicroelectronics Serial EEPROMs&nbsp;&nbsp;st-eeprom-an2014.pdf</a><br>
 *  <br>
 *  <a href="../../../../doc/hw/io/pca9539.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Data sheet</b> Texas PCA9539&nbsp;&nbsp;pca9539.pdf                       </a><br>
 *  <a href="../../../../doc/hw/io/pca9539_2.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Data sheet</b> Philips PCA9539&nbsp;&nbsp;pca9539_2.pdf                 </a><br>
 *  <br>
 *  <a href="../../../../doc/hw/WM8737.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Data sheet</b>&nbsp;&nbsp;Wolfson WM8737 ADC&nbsp;&nbsp;WM8737.pdf </a><br>
 *  <br>
 *  <a href="../../../../doc/hw/WM8782.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Data sheet</b>&nbsp;&nbsp;Wolfson WM8782 ADC&nbsp;&nbsp;WM8782.pdf </a><br>
 *  <br>
 *  <a href="../../../../doc/hw/ES9006_Sabre_Premier_Audio_DAC_DS_080507_GN_Otometrics_22210.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Data sheet</b>&nbsp;&nbsp;ESS ES9006 DAC&nbsp;&nbsp;ES9006_Sabre_Premier_Audio_DAC_DS_080507_GN_Otometrics_22210.pdf</a><br>
 *  <br>
 *  <a href="../../../../doc/hw/ti-power-amp/tpa3106d1.pdf"><img src="../PDF_small_icon.png" alt="PDF file">&nbsp;&nbsp;<b>Data sheet</b>&nbsp;&nbsp;tpa3106d1 Class-D power amplifier&nbsp;&nbsp;tpa3106d1.pdf</a><br>
 *  <br>
 *
 * @endhtmlonly
 *
 * \n
 * This code is placed in main_page.h
 *
 */

/* ============================================================================================================= */
/*! @page file_status "Doc project / File doc. status"
 *
 * @htmlonly
 *
 * <center><h2><b>Doc project</b></h2></center>
 * <a href="../fw_doc_proj.doc"><img src="../words_small_icon.png" alt="Words file">&nbsp;&nbsp;Doc project todo-list </a>
 * <p>
 * Todo list:
 * <ul>
 *    <li>Add header to all files (include responsible) <b>TOMVAL / PEH / MEGHOLM</b></li>
 *    <li>Add doc. to all assembler files (include responsible) <b>TOMVAL / PEH / MEGHOLM</b></li>
 *    <li>Go through "util" dir. and add read-me files or delete. <b>TOMVAL / PEH / MEGHOLM</b></li>
 * </ul><p>
 * <hr>
 * @endhtmlonly
 *
 * Ansvarlig	File List
 *
 * @htmlonly
 *
 * <table>
 * <tr><td>TV</td><td>not finished</td><td>appl/cal.c [code]	Source file for calibration data interface</td></tr>
 * <tr><td>TV</td><td>not finished</td><td>appl/cal.h [code]</td></tr>
 * </table>
 *
 * @endhtmlonly
 *
 * \n
 * This code is placed in main_page.h
 */



